#32 bits ELF running on 64 bits

%define oname Fusion

Name:		kega-fusion
Version:	363x
Release:	%mkrel 1
License:	Freeware
Packager:   	Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Emulators
URL:		https://www.carpeludum.com/kega-fusion/
Source0:	%{oname}%{version}.tar.gz
Source1:	%{name}.png
Summary:	Sega Genesis/32X/Master System/CD/SG-1000/Pico Emulator.
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	ia32-libs
Obsoletes:	%name < %version
AutoReqProv:    no

%description

Kega Fusion is a Sega SG1000, SC3000, SF7000, Master System, Game Gear,
Genesis/Megadrive, SVP, Pico, SegaCD/MegaCD and 32X emulator.
For Sega CD and 32X emulation, it needs the BIOS files.

Because this program is quite antique, it needs some configuration, to get the sound working right.
in your ~/.Kega Fusion
File Fusion.ini, the sound options must be set as follows:

ALSADeviceName=default
OSSDeviceName=/dev/dsp
UsingALSA=1
libmpg123path=/usr/lib64/libmpg123.so
CurrentWaveFormat=2
SoundOverdrive=0
SoundSuperHQ=1
SoundDisabled=0
SoundFilter=0

Another detail to note is that Kega Fusion monopolizes the sound card. If there's another program accessing the sound card, it will disable the sound in the emulator.


%prep

%setup -q -n %{oname}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{oname}

cp -arv $RPM_BUILD_DIR/%{oname}/* %{buildroot}%{_datadir}/%{oname}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{oname}/
./%{oname} 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=Kega Fusion
GenericName=Sega emulator
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF


%files
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{oname}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}

%changelog
* Sat Jul 09 2022  Agent Smith <ruidobranco@yahoo.com.br> kega-fusion-363x-1pclos2022.x86_64
- Created the package kega-fusion-363x-1pclos2022.x86_64, with archived source.
